/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# ifndef EDITIERFENSTER_H
# define EDITIERFENSTER_H

# ifndef __STDC_LIMIT_MACROS
# define __STDC_LIMIT_MACROS
# endif

# include <qwidget.h>
# include <qstring.h>
# include <qlabel.h>
# include <qtooltip.h>
# include <qrect.h>
# include <qpushbutton.h>
# include <qlineedit.h>

# include "Encodieren.h"


class Editierfenster : public QWidget
{
    Q_OBJECT
    private:
        QWidget *eltern;                         // Darin wird der Zeiger zum Elternwidget abgelegt

        QPushButton *editAbbrechen,              // Mit diesen Knopf wird der Decodiervorgang abgebrochen
                    *editStart;                  // Mit diesen Knopf wird der Encodiervorgang getstartet

        int debuglevel;                          // Der Debuglevle entscheidet wie viel Debuginformationen angezeigt werden

        QString sprache;                        // In Welcher Sprache der Text angezeigt werden soll

        QLineEdit *editierFeld;                 // Darin wird dann der aufruf editiert

        Encodieren *encodieren;                 // In Encodieren wird der eigentliche aufruf zusammen gebaut

    public:
        // Das Auswahlfenster fuer das Editieren des Encodieraufrufs anzeigen
        Editierfenster(QWidget *parent,int startdebug,Encodieren *uebergabe);

    signals:


    public slots:

        void aufrufEditieren (const QString& aufruf);


    protected:
        // Damit kann man auf das schliessen des Fensters mit den x-Button reagieren
        void closeEvent(QCloseEvent* schliessen);
};

# endif
