/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include "Loger.h"

# ifndef LOGER_CPP
# define LOGER_CPP

Loger::Loger (int startdebug)
{
    //Debuglevel setzen
    debuglevel=startdebug;

    // Alle Variablen zuruecksetzen
    reset();
}

void Loger::reset(void)
{
    // Den Pfad einmal auf einen default Wert setzen
    pfad="/tmp/";
}


void Loger::setPfad(string uebergabepfad)
{
    if(debuglevel>=2)
    {
        cout<<"loger.cpp: * Slot : setPfad *"<<endl<<endl;
    }

    pfad=uebergabepfad;

    // Den Dateinamen mit abspeichern
    pfad+="dvd2xvid.log";

    if(debuglevel>=3)
    {
        cout<<"loger.cpp: Pfad fuer die Logdatei : "<<pfad<<endl;
    }
}

void Loger::setTitel(string uebergabetitel)
{
    if(debuglevel>=2)
    {
        cout<<"loger.cpp: * Slot : setTitel *"<<endl<<endl;
    }

    titel=uebergabetitel;

    if(debuglevel>=3)
    {
        cout<<" Mencoder-Aufruf : "<<titel<<endl<<endl;
    }

}

void Loger::setZeit(string uebergabezeit)
{
    if(debuglevel>=2)
    {
        cout<<"loger.cpp: * Slot : setZeit *"<<endl<<endl;
    }

    zeit=uebergabezeit;

    if(debuglevel>=3)
    {
        cout<<"loger.cpp: Wie lange Encodiert wurde : "<<zeit<<endl<<endl;
    }
}

void Loger::schreiben (void)
{
    // Die Datei einmal ffnen
    ofstream schreibe;
    schreibe.open(pfad.c_str(),ios::app);

    // Zeit und denn Aufruf schreiben
    schreibe<<zeit<<" : "<<titel<<endl;

    // Datei wieder schlieen
    schreibe.close();
}
# endif
