/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include <iostream>
# include <fstream>

# ifndef LOGER_H
# define LOGER_H

using namespace std;

class Loger
{
    private:
        string temp,                       // Temporaere String
               pfad,                       // Pfad der Logdatei
               zeit,                       // Wie Lange encodiert wurde
               titel;                      // Der Title des Encodierten Films

        int debuglevel;                    // Der aktuelle Debuglevel


        // Alle Variablen zuruecksetzen
        void reset(void);


    public:
        // Konstruktor
        Loger(int startdebug);

        // Den Pfad duer die Logdatei setzen
        void setPfad(string uebergabepfad);

        // Der Titel des Encodierten Films
        void setTitel(string uebergabetitel);

        // Wie lange Encodiert wurde
        void setZeit (string uebergabezeit);

        // In die Datei schreiben
        void schreiben (void);

};

# endif
